From: =?UTF-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <rafal@milecki.pl>
Subject: [PATCH] ARM: dts: BCM5301X: Add serial= to the bootargs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

It's enough to have proper stdout-path for getting serial working but
for some reason LEDE doesn't offer "Please press Enter to activate this
console." unless ttyS0 is specified.

This is a workaround to get serial working in LEDE.

Signed-off-by: Rafał Miłecki <rafal@milecki.pl>
---

--- a/arch/arm/boot/dts/bcm47081-tplink-archer-c5-v2.dts
+++ b/arch/arm/boot/dts/bcm47081-tplink-archer-c5-v2.dts
@@ -12,7 +12,7 @@
 	model = "TP-LINK Archer C5 V2";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47094-luxul-abr-4500.dts
+++ b/arch/arm/boot/dts/bcm47094-luxul-abr-4500.dts
@@ -13,7 +13,7 @@
 	model = "Luxul ABR-4500 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47094-luxul-xbr-4500.dts
+++ b/arch/arm/boot/dts/bcm47094-luxul-xbr-4500.dts
@@ -13,7 +13,7 @@
 	model = "Luxul XBR-4500 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47189-luxul-xap-1440.dts
+++ b/arch/arm/boot/dts/bcm47189-luxul-xap-1440.dts
@@ -12,7 +12,7 @@
 	model = "Luxul XAP-1440 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47189-luxul-xap-810.dts
+++ b/arch/arm/boot/dts/bcm47189-luxul-xap-810.dts
@@ -12,7 +12,7 @@
 	model = "Luxul XAP-810 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47094-luxul-xap-1610.dts
+++ b/arch/arm/boot/dts/bcm47094-luxul-xap-1610.dts
@@ -12,7 +12,7 @@
 	model = "Luxul XAP-1610 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47094-luxul-xwr-3150-v1.dts
+++ b/arch/arm/boot/dts/bcm47094-luxul-xwr-3150-v1.dts
@@ -13,7 +13,7 @@
 	model = "Luxul XWR-3150 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory@0 {
--- a/arch/arm/boot/dts/bcm47094-phicomm-k3.dts
+++ b/arch/arm/boot/dts/bcm47094-phicomm-k3.dts
@@ -13,6 +13,10 @@
 	compatible = "phicomm,k3", "brcm,bcm47094", "brcm,bcm4708";
 	model = "Phicomm K3";
 
+	chosen {
+		bootargs = "console=ttyS0,115200";
+	};
+
 	memory@0 {
 		device_type = "memory";
 		reg = <0x00000000 0x08000000
--- a/arch/arm/boot/dts/bcm47094-luxul-xwc-2000.dts
+++ b/arch/arm/boot/dts/bcm47094-luxul-xwc-2000.dts
@@ -13,7 +13,7 @@
 	model = "Luxul XWC-2000 V1";
 
 	chosen {
-		bootargs = "earlycon";
+		bootargs = "console=ttyS0,115200 earlycon";
 	};
 
 	memory {
